Get Transfers

GET
/api/v1/transfers

List all transfers for a tenant with optional filtering by status, type, and customer_id

Authorization

headerX-Api-Key<token>

API key in format: sti_env_prefix_secret

Query Parameters

status*string

Status of the transfer: CREATED (initial state), UNKNOWN (deprecated internal status), AWAITING_FUNDS_COLLECTION, FUNDS_COLLECTED, IN_PROGRESS (funds received, internal processing), PAYMENT_SUBMITTED, PAYMENT_PROCESSED, COMPLETED (succeeded), FAILED (failed permanently), CANCELLED (manually cancelled), EXPIRED (expired before completion)

Value in"CREATED""UNKNOWN""COMPLIANCE_HOLD""AWAITING_FUNDS_COLLECTION""FUNDS_COLLECTED""IN_PROGRESS""PAYMENT_SUBMITTED""PAYMENT_PROCESSED""COMPLETED""FAILED""CANCELLED""EXPIRED"
type*string

Type of transfer: OFFRAMP (crypto to fiat) or ONRAMP (fiat to crypto)

Value in"TRANSFER_TYPE_OFFRAMP""TRANSFER_TYPE_ONRAMP"
customer_id?string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
page_size?integer
Range1 <= value <= 100
Default20
page_token?string
expand?string

Response Body

Default Response

application/json
  1. response

Response schema for listing transfers

transfers*array<>
page*
Example Request
curl -X GET 'https://api.sandbox.stables.money/api/v1/transfers?status=CREATED&type=TRANSFER_TYPE_OFFRAMP'
Example Response200
{  "transfers": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "tenant_id": "34f5c98e-f430-457b-a812-92637d0c6fd0",      "customer_id": "160c0c4b-9966-4dc1-a916-8407eb10d74e",      "quote_id": "3c071a1d-db86-46a7-9dc8-72ba3fbca992",      "type": "offramp",      "status": "created",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "metadata": {        "property1": "string",        "property2": "string"      },      "source": {        "amount": "string",        "currency": "string",        "network": "string",        "funding_source": "prefund_balance",        "wallet": {          "type": "hosted",          "vasp_name": "string"        }      },      "source_deposit_instructions": {        "wallet_address": "string",        "currency": "string",        "network": "string",        "amount": "string"      },      "destination": {        "amount": "string",        "currency": "string",        "network": "string",        "wallet_address": "string"      },      "fees": {        "fx_fee": {          "amount": "string",          "currency": "string"        },        "integrator_fee": {          "amount": "string",          "currency": "string"        },        "developer_fee": {          "amount": "string",          "currency": "string"        },        "platform_fee": {          "amount": "string",          "currency": "string"        },        "processing_fee": {          "amount": "string",          "currency": "string"        },        "withdrawal_fee": {          "amount": "string",          "currency": "string"        },        "payment_method_fee": {          "amount": "string",          "currency": "string"        },        "network_fee": {          "amount": "string",          "currency": "string"        },        "total_fee": {          "amount": "string",          "currency": "string"        }      },      "exchange_rate": 0,      "origin": "api",      "compliance_hold": {        "rfi_id": "67dff3e5-8fe4-4fc3-bd34-9ccc65996247",        "reasons": [          {            "reason_code": "string",            "description": "string"          }        ],        "requirements": [          {            "type": "KYC_CAPABILITY",            "required_capability": "string",            "required_level": "string",            "suggested_level": "string",            "required_evidence": "string",            "requirement_id": "6bcf6ec7-61c3-4af0-a310-59616a4dac61",            "status": "missing"          }        ]      }    }  ],  "page": {    "next_page_token": "string",    "total": -9007199254740991  }}